define Package/map-plugins-bsteer
	$(call Package/map-plugins/Default)
	TITLE:=Wi-Fi backhaul steering plugin based on maximizing backhaul throughput
	DEPENDS= +libubox +libuci +libubus +libeasy +libnl-genl \
		 +libjson-c +libblobmsg-json +map-controller \
		 +map-plugins
endef

define Package/map-plugins-bsteer/install
	$(INSTALL_DIR) $(1)/usr/lib
	$(INSTALL_DIR) $(1)/usr/lib/mapcontroller
	$(CP) $(PKG_BUILD_DIR)/steer/bsteer/bsteer.so $(1)/usr/lib/mapcontroller/bsteer.so
endef

define Build/Compile/map-plugins-bsteer
	$(MAKE) -C $(PKG_BUILD_DIR)/steer/bsteer \
		CC="$(TARGET_CC)" \
		CFLAGS="$(TARGET_CFLAGS)" \
		LDFLAGS="$(TARGET_LDFLAGS)";
endef
